<template>
<div class="flex flex-col w-full gap-3">
    <div class="container px-4 mx-auto my-8 sm:px-12">
     <div class="flex flex-col gap-2 md:w-96">
        <div class="flex gap-3">
            <div class="flex justify-between w-full py-2">
                <div class="container px-4 mx-auto my-8 sm:px-12 gap-3">
                <label class="text-sm font-semibold ">Seccion {{ identificador.orden }} video</label>
                <button @click="handleDelete" type="button" class="px-4 py-2 text-white bg-red-500 w-max">Eliminar</button>
                </div>
                </div>
                </div>
                <div class="flex gap-3">
                <input v-model="contenido.urlvideo" type="url"  class="w-full px-3 py-2 mt-1 border border-gray-300 rounded-md shadow-sm focus:outline-none focus:shadow-outline-blue focus:border-blue-300" placeholder="url del proyecto">
                <button
                @click="handleUpadteUrl()"
                type="button"
                class="px-4 py-2 text-sm font-medium text-white transition bg-green-600 hover:bg-green-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-blue-500"
                data-bs-dismiss="modal"
              >
                Guardar Url
              </button>
                </div>
            </div>
</div>
</div>
</template>

<script>
export default {
    props:{
        idproject:{
      type: Number,
    },
        identificador: {
          type: Object,
          default: {},
        },
        index:{
      type: Number,
    },

    },
    data() {
        return {
            contenido: this.identificador.content,
        }
    },
    mounted () {
    //    this.contenido= this.content;
    },
    methods: {
        handleDelete(){
            this.axios.delete(`/api/project/${this.idproject}/projectvideo/${this.identificador.orden}`).then(response => {
                // console.log(response.data);
      this.$emit('delete', this.index);
            });

    },
        handleUpadteUrl(){

            this.contenido.class=this.contenido.urlvideo.replace('https://vimeo.com/', '');
            this.axios.put(`/api/project/${this.idproject}/projectvideo/${this.identificador.id}`, this.contenido).then(response => {
                // console.log(response.data);
            });
        },
    }
}
</script>

<style>

</style>
